/* --- BACKGROUND FALLBACK --- */
:root{
    --event-background-colour:#0c0c0d;
}
/* --- FEATURED IMAGE --- */
.single-event.no-featured-image .wp-block-cover.cover-intro  {
    min-height:  unset!important;
}
.single-event.no-featured-image .wp-block-cover.cover-intro .intro-info  {
    padding-top:  12rem!important;
    background:  none;
}
.single-event .wp-block-details summary,  .single-event p:not(.has-text-color) a.has-icon  {
    color:  var(--wp--preset--color--base);
    opacity:  0.67;
}
.single-event .wp-block-details  {
    margin-block-start:  0.5rem;
}
.single-event .wp-block-details summary::marker  {
    font-size:  1.5rem;
    line-height:  21px;
}
.single-event .wp-block-details .wp-block-embed  {
    margin:  0.5rem 0 1rem;
}


.single-event header.site-header .logo-header svg g[data-name="contour"] path[data-name="fill"]{
	transition: opacity .3s ease;
}
.single-event header.site-header.at-top .logo-header svg g[data-name="contour"] path[data-name="fill"]{
	opacity:1;
}



@media screen and (max-width: 900px)  {
    .single-event .wp-block-navigation__responsive-container.has-contrast-background-color  {
		background-color:  var(--event-background-colour,  var(--wp--preset--color--contrast))!important;
	}
	.single-event .wp-block-navigation__responsive-container.is-menu-open .wp-block-navigation-item  {
		color:  var(--wp--preset--color--base)!important;
	}
}
	
.single-event .wp-block-meta.upcoming-time,
.single-event .wp-block-meta.upcoming-time + p{
	margin-top:.5rem;
}
.single-event .wp-block-meta.upcoming-time{
	opacity:.67;
}
	
	
body.single-event  {
    background-color:  var(--event-background-colour,  var(--wp--preset--color--contrast));
}
.single-event .event-main-info  {
    background:  rgba(255,  255,  255,  .05);
    background:  linear-gradient(90deg,  rgba(255,  255,  255,  .1) 0%,  rgba(255,  255,  255,  0) 100%);
}
.single-event .cover-intro  {
    align-items:  flex-end;
}
.single-event .intro-info  {
    background:  rgb(19,  19,  19);
    background:  linear-gradient(0deg,  rgba(19,  19,  19,  1) 0%,  rgba(19,  19,  19,  0) 100%);
	background:  linear-gradient(0deg,  var(--event-background-colour) 0%,  rgba(19,  19,  19,  0) 100%);
}
.single-event .intro-info .wp-block-meta,  .single-event .intro-info .wp-block-post-title  {
    color:  var(--wp--preset--color--white);
}
.single-event .intro-info .wp-block-post-title  {
    font-size:  clamp(2.0rem,  2.2rem + 1.25vw,  3.5rem);
}
.single-event .intro-info .wp-block-meta  {
    font-size:  clamp(1.2rem,  0.9rem + 1.4vw,  1.85rem);
}
.single-event .intro-info .wp-block-meta svg  {
    width:  clamp(1rem,  0.9rem + 1.4vw,  1.5rem);
    height:  clamp(1rem,  0.9rem + 1.4vw,  1.5rem);
    margin-right:  0.5em;
    margin-bottom:  -.1em;
}
.single-event .intro-info .wp-block-meta.event-time  {
    margin-block-start:  0;
}
.single-event .event-location  {
    margin-top:  3rem;
}
.single-event .event-location .event-details .event-details-group  {
    display:  flex;
    align-items:  center;
    margin-bottom:  0.5rem;
}
.single-event .event-location .event-details .event-details-icon  {
    margin-right:  0.8rem;
    width:  20px;
    height:  20px;
}
.single-event .event-location .event-details .event-details-text  {
    margin:  0;
}
	
/* --- RELATED EVENTS --- */
	

.related-events  {
    margin-top:  5rem;
}
.related-events .past-event  {
    opacity:  0.6;
    transition:  all 0.3s ease;
}
.related-events .past-event:hover  {
    opacity:  1;
}
.related-events .related-events-container  {
    justify-content:  space-between;
    align-items:  flex-start;
}
.related-events h2.wp-block-heading  {
    margin-bottom:  1.5rem;
}
.related-events .related-event-info  {
    margin:  0.5rem 0 0.3rem;
}
.related-events .related-event-info.related-event-image  {
    aspect-ratio:  210/297;
    border-radius:  5px;
    overflow:  hidden;
}
.related-events .related-event-info.related-event-image img  {
    border-radius:  5px;
}
.related-events .related-event-title h3  {
    margin:  0;
}
.related-events .related-event-image img  {
    max-width:  100%;
    height:  auto;
}
.related-events .related-event-date  {
    display:  flex;
    align-items:  center;
    opacity:  0.67;
}
.related-events .related-event-date svg  {
    margin-right:  0.5rem;
}
.related-events .related-event-date p  {
    margin:  0;
}
.related-events .related-event-title a  {
    color:  var(--wp--preset--color--base);
}
.related-events .related-event  {
    max-width:  300px;
}
@media (max-width:689px)  {
    .related-events .related-events-container  {
		flex-direction:  column-reverse;
		align-items:  flex-start;
	}
}